#include "myrn.h"
#include <cmath>

using namespace std;

namespace myrn {

//	     0 < uni() < 1
double WHrn::uni(){
	do {
		x = (171 * x) % 30269;
		y = (172 * y) % 30307;
		z = (170 * z) % 30323;
		u = (x/30269.0) + (y/30307.0) + (z/30323.0);
		u -= trunc(u);
	} while (u <= 0.0);
	return u;
}

}
