#ifndef MYRN_CK
#define MYRN_CK

namespace myrn {

//		32ビット符号無整数
#define myuint unsigned int

//
//    Wichmann/Hill generator...周期 = 約1.0e12
//
class WHrn {
public:
	myuint x;
	myuint y;
	myuint z;
	double u;

	WHrn(): x(11111), y(22222), z(33333) {}
	virtual ~WHrn(){}

	WHrn(myuint ix, myuint iy, myuint iz):
		x(ix), y(iy), z(iz) {}

	double uni();		//     0 < uni() < 1
};

}

#endif

